<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:annotation>
    <xs:documentation>The action definition of PING6 module</xs:documentation>
  </xs:annotation>

  <xs:element name="Ping6">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="IPv6Ping"  minOccurs="0">
          <xs:annotation>
            <xs:documentation>IPv6Ping table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="PingTest" minOccurs="0" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Host" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>IPv6 Address or hostname, a string of 1 to 253 characters.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="253"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" type="base:VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>VRF name, a case-sensitive string of 1 to 31 characters.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
